
import tornado.ioloop
import tornado.web

def random_tornado_function():
    # This function uses the Tornado web framework to create a simple HTTP server
    # that listens on port 8888 and serves a single route that returns "Hello, Tornado!"

    class MainHandler(tornado.web.RequestHandler):
        def get(self):
            self.write("Hello, Tornado!")

    def make_app():
        return tornado.web.Application([
            (r"/", MainHandler),
        ])

    def start_server():
        app = make_app()
        app.listen(8888)
        print("Server started on http://localhost:8888")
        tornado.ioloop.IOLoop.current().start()

    return start_server

